namespace NetinaShop.Domain.CommandQueries.Queries;

public sealed record GetOrderLDtoQuery(Guid Id) : IRequest<OrderLDto>;

public sealed record GetOrderQuery(Guid Id) : IRequest<Order>;
public sealed record GetOrdersQuery(OrderQueryDateFilter? DateFilter, OrderStatus? OrderStatus,long? SelectedDate, int Page = 0) : IRequest<List<OrderSDto>>;